dssi-1.1.1-35.53.x86_64.rpm


Advertisement

Description

dssi - Disposable Soft Synth Interface

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename dssi-1.1.1-35.53.x86_64.rpm
Package name dssi
Package version 1.1.1
Package release 35.53
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://dssi.sf.net/
License GPL-2.0+ and LGPL-2.1+ and SUSE-Public-Domain
Maintainer -
Download size 104.20 KB
Installed size 464.74 KB
Disposable Soft Synth Interface (DSSI, pronounced "dizzy") is a
proposal for a plug-in API for software instruments (soft synths) with
user interfaces, permitting them to be hosted in-process by Linux audio
applications. Think of it as LADSPA-for-instruments or something
comparable to a simpler version of VSTi.

Alternatives

Package Version Architecture Repository
dssi-1.1.1-35.53.i586.rpm 1.1.1 i586 Multimedia Libs
dssi-1.1.1-11.12.x86_64.rpm 1.1.1 x86_64 openSUSE Oss
dssi-1.1.1-11.12.i586.rpm 1.1.1 i586 openSUSE Oss
dssi - - -

Requires

Name Value
libasound.so.2()(64bit) -
libasound.so.2(ALSA_0.9)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libjack.so.0()(64bit) -
liblo.so.7()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.27)(64bit) -
libm.so.6(GLIBC_2.29)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -

Provides

Name Value
dssi = 1.1.1-35.53
dssi(x86-64) = 1.1.1-35.53

Download

Type URL
Mirror widehat.opensuse.org
Binary Package dssi-1.1.1-35.53.x86_64.rpm
Source Package dssi-1.1.1-35.53.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install dssi rpm package:
    # zypper install dssi

Files

Path
/usr/bin/dssi_analyse_plugin
/usr/bin/dssi_list_plugins
/usr/bin/dssi_osc_send
/usr/bin/dssi_osc_update
/usr/bin/jack-dssi-host
/usr/bin/karplong
/usr/bin/less_trivial_synth
/usr/bin/trivial_sampler
/usr/bin/trivial_synth
/usr/lib64/dssi/karplong.so
/usr/lib64/dssi/less_trivial_synth.so
/usr/lib64/dssi/trivial_synth.so
/usr/share/doc/packages/dssi/COPYING
/usr/share/doc/packages/dssi/README
/usr/share/doc/packages/dssi/examples/Makefile
/usr/share/doc/packages/dssi/examples/Makefile.am
/usr/share/doc/packages/dssi/examples/Makefile.in
/usr/share/doc/packages/dssi/examples/dssi_analyse_plugin.c
/usr/share/doc/packages/dssi/examples/dssi_list_plugins.c
/usr/share/doc/packages/dssi/examples/dssi_osc_send.c
/usr/share/doc/packages/dssi/examples/dssi_osc_update.c
/usr/share/doc/packages/dssi/examples/karplong.cpp
/usr/share/doc/packages/dssi/examples/less_trivial_synth.c
/usr/share/doc/packages/dssi/examples/less_trivial_synth_qt_gui.cpp
/usr/share/doc/packages/dssi/examples/less_trivial_synth_qt_gui.h
/usr/share/doc/packages/dssi/examples/saw.h
/usr/share/doc/packages/dssi/examples/trivial_sampler.c
/usr/share/doc/packages/dssi/examples/trivial_sampler.h
/usr/share/doc/packages/dssi/examples/trivial_sampler_qt_gui.cpp
/usr/share/doc/packages/dssi/examples/trivial_sampler_qt_gui.h
/usr/share/doc/packages/dssi/examples/trivial_synth.c
/usr/share/man/man1/dssi_analyse_plugin.1.gz
/usr/share/man/man1/dssi_list_plugins.1.gz
/usr/share/man/man1/dssi_osc_send.1.gz
/usr/share/man/man1/dssi_osc_update.1.gz
/usr/share/man/man1/jack-dssi-host.1.gz

Changelog

2014-10-05 - davejplater@gmail.com
- Own the dssi libdir
2013-03-05 - coolo@suse.com
- update license to new format
2012-01-10 - reddwarf@opensuse.org
- Update to version 1.1.1:
* Fix to a crash on startup in one of the example plugins
(less_trivial_synth)
- Run spec-cleaner
2011-09-30 - coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
2011-09-18 - jengelh@medozas.de
- Remove redundant tags/sections from specfile
(cf. packaging guidelines)
- Use %_smp_mflags for parallel build
2011-08-30 - crrodriguez@opensuse.org
- Fix linking with new toolchain.
2010-09-22 - davejplater@gmail.com
- Update to version 1.1.0
- Upstram changes :
* Man page updates.
* Added '-c' option for client name to jack-dssi-host.
* Fixed configure.ac to check for OS X Qt 4 frameworks, and to add
'-lX11' to QT_LIBS when Qt is X11-based.
* Added dssi_list_plugins and dssi_analyse_plugin tools.
* Updated README for Qt 4 and new tools.
* Fixed jack-dssi-host.c ALSA client ports to be of type 'application'.
* Fixed trivial_synth.c getControllerTS() to use DSSI_CC().
* examples/Makefile.am fixes: reverted trivial_sampler_qt_CXXFLAGS
to again include $(ALSA_CFLAGS); added math lib to trivial_synth_la_LIBADD.
* Version bump to 1.0.1.
* Updated example GUIs to use Qt 4 (thanks to Charles Fl├Ęche!)
* Fixed an uninitialized variable bug in less_trivial_synth.c.
2009-07-24 - tiwai@suse.de
- fix dssi-devel not to require dssi itself (no dependecny!)
2009-07-24 - tiwai@suse.de
- split to devel sub-package
2009-07-22 - tiwai@suse.de
- add missing closedir() (bnc#524217)

See Also

Package Description
dssi-devel-1.1.1-35.53.i586.rpm Development Package for DSSI plugins
dssi-devel-1.1.1-35.53.x86_64.rpm Development Package for DSSI plugins
echomixer-1.0.5-115.1.i586.rpm Echoaudio console application
echomixer-1.0.5-115.1.x86_64.rpm Echoaudio console application
envy24control-0.6.0-115.1.i586.rpm Control tool for Envy24 (ice1712) based soundcards
envy24control-0.6.0-115.1.x86_64.rpm Control tool for Envy24 (ice1712) based soundcards
exempi-tools-2.4.5-36.17.i586.rpm Tools from Exempi, an XMP support library
exempi-tools-2.4.5-36.17.x86_64.rpm Tools from Exempi, an XMP support library
ffado-2.4.1-100.4.i586.rpm FireWire 1394 support for audio devices, svn snapshot
ffado-2.4.1-100.4.x86_64.rpm FireWire 1394 support for audio devices, svn snapshot
ffado-mixer-2.4.1-100.1.noarch.rpm FireWire 1394 support for audio devices, svn snapshot
ffmpeg-4-4.1.3-62.1.i586.rpm Library for working with various multimedia formats
ffmpeg-4-4.1.3-64.1.x86_64.rpm Library for working with various multimedia formats
ffmpeg-4-libavcodec-devel-4.1.3-62.1.i586.rpm Development files for FFmpeg's codec library
ffmpeg-4-libavcodec-devel-4.1.3-64.1.x86_64.rpm Development files for FFmpeg's codec library
Advertisement
Advertisement